Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] After OS Update MPI_Init fails on one host
From: Kevin H. Hobbs (hobbsk_at_[hidden])
Date: 2013-07-19 19:06:51


On 07/19/2013 05:11 PM, Ralph Castain wrote:
> Are you sure you're using the same version of OMPI on this new OS?

No, I'm sure I'm using a different version of Open MPI in Fedora
18 from the one I was using in Fedora 17.

I have only the Open MPI provided by the Fedora distribution.

> They typically distribute one in your default path,

Fedora allows both Open MPI and MPICH to be installed at the same
time by using the module system.

Neither is in the default path, I have to put them in my path with :

  module load mpi/openmpi-x86_64

which is in my ~/.bashrc .

> so I'd check to ensure that you really are using the version you think.

'locate mpicc' and 'locate mpirun' only find one hit each so I'm
reasonably sure I'm running what I think I'm running.

That being said packaging bugs have happened before is there any
library, config file, or executable that you would suggest I look
for that might have come from a prior version of Open MPI or its
dependencies?